<div class="main-content pad">
    <div class="container-fluid">
	    <div class="row">
	        <div class="col-md-8">
	            <div class="card">
	                <div class="card-header card-header-rose card-header-icon">
		                <div class="card-icon"><i class="material-icons">content_copy</i></div>
						<h4 class="card-title"><span>Channel Bank</span></h4>
					</div>
				    <jhi-alert-error></jhi-alert-error>
				
				    <jhi-alert></jhi-alert>
			
				    <div class="card-body">
				    <div class="material-datatables table-responsive" *ngIf="channel?.length > 0">
				        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
				            <thead class="thead-light">
				            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            					<th scope="col"><span>Nama Bank</span></th>
            					<th scope="col"><span>Biaya Admin</span></th>
            					<!-- <th scope="col"><span>VA</span></th>
            					<th scope="col"><span>Secret Key</span></th> -->
            					<th scope="col"><span>Status</span></th>
            					<th scope="col"></th>
				            </tr>
				            </thead>
				            <tbody>
				            <tr *ngFor="let ch of channel">  
				            	<td>{{ch.name}}</td>
				            	<td>{{ch.fee}}</td>
				            	<!-- <td>{{ch.va}}</td>
				            	<td>{{ch.secretKey}}</td> -->
				            	<td>
					                  <label class="switch">
								      	  <input type="checkbox" id="field_apprCheckIn" [checked]="ch.status ==='ACTIVE'" (change)="change(ch, $event.target.checked)">
										  <span class="slider"></span>
								      </label>
							     </td>
				            </tr>
				            </tbody>
				        </table>
				    </div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
